com.comtrade.ecm.engine.logging

## Interface EcmSupplierLogger

- All Known Subinterfaces:
    EcmLogger
  All Known Implementing Classes:
    AbstractLogger, LoggerDefault

      public interface EcmSupplierLogger

  Defines methods which work with `Supplier`-objects instead of `String`-objects, in order to optimize logging speed.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `debug(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `debug(java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `debug(java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `error(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `error(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `error(java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `error(java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `info(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `info(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `info(java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `info(java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `warning(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `warning(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `warning(java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `warning(java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`

- - ### Method Detail

    - #### debug

          void debug(java.util.function.Supplier<java.lang.String> supplier)

    - #### debug

          void debug(Identifiable identifiable,
                     java.util.function.Supplier<java.lang.String> supplier)

    - #### debug

          void debug(java.util.function.Supplier<java.lang.String> supplier,
                     java.lang.Throwable e)

    - #### debug

          void debug(Identifiable identifiable,
                     java.util.function.Supplier<java.lang.String> supplier,
                     java.lang.Throwable e)

    - #### info

          void info(java.util.function.Supplier<java.lang.String> supplier)

    - #### info

          void info(Identifiable identifiable,
                    java.util.function.Supplier<java.lang.String> supplier)

    - #### info

          void info(java.util.function.Supplier<java.lang.String> supplier,
                    java.lang.Throwable e)

    - #### info

          void info(Identifiable identifiable,
                    java.util.function.Supplier<java.lang.String> supplier,
                    java.lang.Throwable e)

    - #### warning

          void warning(java.util.function.Supplier<java.lang.String> supplier)

    - #### warning

          void warning(Identifiable identifiable,
                       java.util.function.Supplier<java.lang.String> supplier)

    - #### warning

          void warning(java.util.function.Supplier<java.lang.String> supplier,
                       java.lang.Throwable e)

    - #### warning

          void warning(Identifiable identifiable,
                       java.util.function.Supplier<java.lang.String> supplier,
                       java.lang.Throwable e)

    - #### error

          void error(java.util.function.Supplier<java.lang.String> supplier)

    - #### error

          void error(Identifiable identifiable,
                     java.util.function.Supplier<java.lang.String> supplier)

    - #### error

          void error(java.util.function.Supplier<java.lang.String> supplier,
                     java.lang.Throwable e)

    - #### error

          void error(Identifiable identifiable,
                     java.util.function.Supplier<java.lang.String> supplier,
                     java.lang.Throwable e)